Erreur d’affichage traduction anglais (.po et .mo)

Installation & Configuration du logiciel
Répondre
Julianos
Gsup LEVEL 0
Messages : 2
Enregistré le : mar. 15 sept. 2020 17:53

Erreur d’affichage traduction anglais (.po et .mo)

Message par Julianos »

Bonjour,

J'ai récemment repris le système de billetterie d'un collègue qui a quitté notre entreprise. Malheureusement, il ne m'a pas montré exactement comment fonctionne le système. De plus, j'ai vu que tout est en français (forum). Ce n'est pas un problème puisque je parle français, mais je suis de origine anglais.

Le Problem: Dans la traduction anglaise sur catégorie et sous-catégorie, nous obtenons l'erreur suivante, si aucune catégorie n'a été attribuée (voir fichier attachée).

Sur ./dashboard.php //select name of category et //select name of subcategory J'ai ajouté l'état personnalisé si le ticket n'a pas été attribué une catégorie ("Aucune catégorie attribuée").C'est bien affiche en français, mais en anglais nous obtenons l'erreur avec le fichier(.po). Pour la traduction en anglais, je ajoute sur ./locale/local_sql_data.php le costum state "Aucune catégorie attribuée", actualisé getsup.pot le sauvegarde, actualisé en_US.po le sauvegarder et après compile vers .mo

Est-ce que je fais quelque chose de mal?

Merci pour votre aide!
Fichiers joints
Erreur_Anglais.png
Erreur_Anglais.png (107.06 Kio) Vu 85 fois
Avatar du membre
Flox
Administrateur du site
Messages : 5141
Enregistré le : jeu. 21 juin 2012 19:00

Re: Erreur d’affichage traduction anglais (.po et .mo)

Message par Flox »

Bonjour,

pouvez-vous transmettre un impression écran de la page Administration > Système ?

Merci également d'indiquer si vous re-reproduisez le problème sur la webdemo ?

De mon côté cela fonctionne :
2020-09-15 19_36_57_screenshot_gestsup.png
2020-09-15 19_36_57_screenshot_gestsup.png (32.01 Kio) Vu 77 fois

Cdt
GestSup: 3.2.4 | Debian: 10.5 | Apache: 2.4.46 | MariaDB: 10.5.5| PHP: 7.4.10
Julianos
Gsup LEVEL 0
Messages : 2
Enregistré le : mar. 15 sept. 2020 17:53

Re: Erreur d’affichage traduction anglais (.po et .mo)

Message par Julianos »

Okay, je viens de voir que la version php actuelle installée est obsolète (5.6.25)! Je ferai la mise à jour dans les prochaine jour. Nous sommes aussi sur la version 3.2.0 pour GetsUp. Je vous ferai savoir si cela fonctionnera, mais je pense que cela résoudra le problème.

Merci encore!
Répondre